Bug 75492 - [PATCH] editors/xemacs: update to new version
[PATCH] editors/xemacs: update to new version
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: FreeBSD ports mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-25 13:50 UTC by pawel.worach
Modified: 2004-12-26 16:30 UTC (History)
0 users

See Also:


Attachments
file.diff (3.92 KB, patch)
2004-12-25 13:50 UTC, pawel.worach
no flags Details | Diff
bsd.emacs.mk.diff (346 bytes, patch)
2004-12-26 13:45 UTC, anray
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description pawel.worach 2004-12-25 13:50:25 UTC
      Update port to 21.4.16
      Fix build on current where libxpg4 is gone

      One thing I did not know how to fix is, after patching freebsd.h
      patch leaves the .orig file with is then installed by 'make install'.
      How do I fix that, change install: makefile target? remove the file post-install?
Comment 1 Sergey Matveychuk freebsd_committer 2004-12-25 22:28:15 UTC
State Changed
From-To: open->closed

Committed, thanks! 
1) Don't be afraid to remove *.orig files in post-patch stage 
2) Specify files you add and/or remove in description please 
3) The line 'CONFIG_ARGS+= --with-png=yes --with-tiff=yes' 
looks like a typo. Can you explore this please?
Comment 2 anray 2004-12-26 13:45:00 UTC
> >Number:         75492
> >Category:       ports
> >Synopsis:       [PATCH] editors/xemacs: update to new version
[...]
 When this port updated to new version, update EMACS_VER in the
Mk/bsd.emacs.mk. See the attached patch.
Comment 3 Sergey Matveychuk freebsd_committer 2004-12-26 16:27:29 UTC
Andrey Slusar wrote:
> Sat, 25 Dec 2004 13:49:16 GMT, Pawel Worach wrote:
> 
> 
>>>Number:         75492
>>>Category:       ports
>>>Synopsis:       [PATCH] editors/xemacs: update to new version
> 
> [...]
>  When this port updated to new version, update EMACS_VER in the
> Mk/bsd.emacs.mk. See the attached patch.

Yep. Thanks!

-- 
Sem.